- Qt 5.15
- Qt 3D
- C++ Classes
- QBackendNodeMapper
- Qt 5.15.18 Reference Documentation

# QBackendNodeMapper Class

class Qt3DCore::QBackendNodeMapper

Creates and maps backend nodes to their respective frontend nodes. More...

Header: | #include <Qt3DCore/QBackendNodeMapper>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

virtual QBackendNode * | create(const QNodeCreatedChangeBasePtr &change) const = 0
virtual void | destroy(QNodeId id) const = 0
virtual QBackendNode * | get(QNodeId id) const = 0

## Detailed Description

## Member Function Documentation

### `[pure virtual]` QBackendNode *QBackendNodeMapper::create(const QNodeCreatedChangeBasePtr &change) const

change

Returns created node.

### `[pure virtual]` void QBackendNodeMapper::destroy(QNodeId id) const

Destroys the backend node for the given node id.

### `[pure virtual]` QBackendNode *QBackendNodeMapper::get(QNodeId id) const

Returns backend node for the given node id.